int GLOBAL = 1;
extern int LOCAL;

main()
{
    int i;
    char s[80];
    long lval;
    double dval;
    long test5();
    void test6();
    double test7();
    lval = 65565;
    dval = 1234.5678;
    test0();
    printf("External value defined by test0: %d\n",LOCAL);
    printf("%d\n",test1(10));
    printf("%d\n",test2(5,15));
    printf("%d\n",test3(5,10,15));
    printf("%d\n",test4(5,10,15,10));
    printf("%ld : %s\n", test5(lval,s),s);
    printf("%f : ", dval);
    test6(dval,s);
    printf("%s\n",s);
    printf("%f\n", test7(dval));
}
ar s[80];
    long lval;
    double dval;
    long test5()